Welcome, Guest. Please login or register.
April 17, 2014, 02:53:34 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Pardus for beginners
| | |-+  Epson workforce 600 network printer
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: Epson workforce 600 network printer  (Read 1525 times)
hydmech6252
Newbie
*
Posts: 3


View Profile
« on: April 11, 2010, 14:45:43 PM »

Hello all,  I've loaded Pardus 2009.1 and I can't figure out PISI.  I get the idea that I'll have to compile from source and make a package.  However, I don't have the first clue as to how or what the articles I've read are talking about.  I bought this computer for the express purpose of trying out linux and it installed great.  My next steps are the printer and my Synology DS209.  AVASYS offers the source file for the printer at 
  http://www.avasys.jp/lx-bin2/linux_e/spc/DL2.do
 Please tell me what to do or where to find the step by step instructions.  Thanks.
Logged
trixon
Guest
« Reply #1 on: April 11, 2010, 16:28:21 PM »

You dont have to make your packages from source in order to install them, but yes, pisi can do it. There are many pre built packages but if you want to install from source, just:

Code:
sudo pisi install -c system.devel

And then in your source directory

Code:
./configure
make
sudo make install
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #2 on: April 11, 2010, 16:38:14 PM »

 http://www.avasys.jp/lx-bin2/linux_e/spc/DL2.do
The above link brings me to
Quote
(can't read this one)
or
Quote
and from this one it's not clear to me which driver you want to install/use.

And did you try "gutenprint" from Package Manager
Reference: http://www.openprinting.org/printer/Epson/Epson-WorkForce_600
« Last Edit: April 11, 2010, 17:05:48 PM by atolboo » Logged
hydmech6252
Newbie
*
Posts: 3


View Profile
« Reply #3 on: April 13, 2010, 05:30:46 AM »

Thank you both for the quick response.  I had not seen gutenprint but will try it if the drivers don't work from the command line mostly because the gutenprint doesn't mention scanning.

I'm assuming that PARDUS uses CUPS (Download for Epson ME Office 700FW,Epson Stylus SX600FW,Epson Stylus Office BX600FW/TX600FW,WorkForce 600 for CUPS)  As far as the printer goes I can't tell if I need  pipslite_1.4.0-5.tar.gz  or pipslite_1.4.0-5.dsc   or both for the printer driver.  The scanner driver is iscan_2.24.0-4.tar.gz  or iscan_2.24.0-4.dsc   

Based upon the info I found at http://www.file-extensions.org/dsc-file-extension  I think both are needed because the website says "DSC is an Adobe PostScript language commenting convention which permits processing of PS files without the processing programs needing language level knowledge of the PS file's contents"

The AVASYS website is confusing

Trixon,  I'm willing to try the code that you put there for me.  Let me make sure I understand before I start.  I download the file from the site to my download folder.  Then I move it to the source directory.  Then I enter the code but where do I type the file name?  I don't understand where to put the target for the command.   I was a wiz at DOS way back in a past life but I haven't learned the linux commands yet.


Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #4 on: April 13, 2010, 15:31:52 PM »

I'm assuming that PARDUS uses CUPS
Yes.
As far as the printer goes I can't tell if I need  pipslite_1.4.0-5.tar.gz  or pipslite_1.4.0-5.dsc   or both for the printer driver.  The scanner driver is iscan_2.24.0-4.tar.gz  or iscan_2.24.0-4.dsc
Where is this information coming from Huh?
Logged
hydmech6252
Newbie
*
Posts: 3


View Profile
« Reply #5 on: April 17, 2010, 01:50:17 AM »

[ [/quote]Where is this information coming from Huh?
[/quote]

it's coming from http://avasys.jp/eng/linux_driver/ 
select all in ones
 scroll down to "Form for download- Image Scan! for Linux & Photo Image Print System Lite"
select "Epson ME Office 700FW,Epson Stylus SX600FW,Epson Stylus Office BX600FW/TX600FW,WorkForce 600"
The questionare answers i have been using are Distro:other;  Distro version: other;  Country: USA; Connection Environment:  Print/scan directly to network scanner; location: individuals

if you try to jump right to the page it seems to come out in japanese and you can't skip the survey.  When you get there there are three files listed under source files for the printer driver and further down the page are two files for the scanner driver.  I see that one is a compressed file and the other I don't know.  the readme doesn't explain how to install from source or i don't understand it.

i thought the method would be take the source make in to a pisi, click on the pisi package and it would work.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #6 on: April 17, 2010, 22:20:50 PM »

Thanks. Grin
I have looked in the files and pipslite_1.4.0-5.dsc, pipslite_1.4.0-5_i386.changes and iscan_2.24.0-4.dsc are ASCI files and can be viewed in KWrite or any textviewer and contain information about Source, Version and (very importantant in case of errors) Build-Depends.

You can unpack pipslite_1.4.0-5.tar.gz and try to compile this one with the instructionssupplied by trixon.
And the same applies for iscan_2.24.0-4.tar.gz.
I will try to compile them on my test computer tomorrow to see if I get any errors.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #7 on: April 18, 2010, 09:21:40 AM »

At this moment I get stuck with: Sad
Quote
atolboo@vectra pipslite-1.4.0 $ make
 cd . && automake-1.10 --gnu  Makefile
/bin/sh: line 11: automake-1.10: command not found
make: *** [Makefile.in] Error 127
atolboo@vectra pipslite-1.4.0 $ pisi info automake
Installed package:
Name: automake, version: 1.11.1, release: 9, build 8
Any help is welcome Huh?
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!